# $Revision: 1.3.2.3 $, $Date: 2007/03/18 21:23:58 $
# TODO:
# - package thumbnail.cgi (in %{_libdir}/cgi-bin?)
#
# Conditional build:
%bcond_without	curl	# without URL support
%bcond_without	exif	# without EXIF tags support
%bcond_without	gif	# without GIF images support
%bcond_without	lirc	# without LIRC control support
%bcond_without	motif	# don't build (Motif-based) ida
%bcond_without	pcd	# without PCD images support
%bcond_without	png	# without PNG images support
%bcond_without	sane	# without SANE scanning support (in ida)
%bcond_without	tiff	# without TIFF images support
#
%if %{without motif}
# SANE used only in ida
%undefine	with_sane
%endif
Summary:	fbida - a few applications for viewing and editing images
Summary(pl):	fbida - kilka aplikacji do ogldania i edycji obrazkw
Name:		fbida
Version:	2.06
Release:	2
License:	GPL
Group:		Applications/Graphics
Source0:	http://dl.bytesex.org/releases/fbida/%{name}-%{version}.tar.gz
# Source0-md5:	1f78e9a83fb546660a024a4bc0580ace
Patch0:		%{name}-config-noforce.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-gcc3.patch
URL:		http://linux.bytesex.org/fbida/
%{?with_curl:BuildRequires:	curl-devel}
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2.0.0
%{?with_gif:BuildRequires:	giflib-devel}
BuildRequires:	libexif-devel >= 1:0.6.9
BuildRequires:	libjpeg-devel
%{?with_pcd:BuildRequires:	libpcd-devel >= 1:1.0.1}
%{?with_png:BuildRequires:	libpng-devel}
%{?with_lirc:BuildRequires:	lirc-devel}
%{?with_tiff:BuildRequires:	libtiff-devel}
# acc. to README lesstif is not sufficient
%{?with_motif:BuildRequires:	openmotif-devel >= 2.0}
BuildRequires:	pkgconfig
%{?with_sane:BuildRequires:	sane-backends-devel}
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults

%description
The fbida project contains a few applications for viewing and editing
images, with the main focus being photos. The applications are:
- fbi - image viewer for the Linux framebuffer console
- fbgs - wrapper script for viewing PS/PDF files using fbi
- ida - Motif-based application for viewing images
- exiftran - command-line tool to do lossless transformations of JPEG
  images
- thumbnail.cgi - small and fast CGI program to extract EXIF
  thumbnails from JPEG images and send them to the web browser

%description -l pl
Projekt fbida zawiera kilka aplikacji do ogldania i edycji obrazkw,
gwnie przeznaczonych dla zdj. Te aplikacje to:
- fbi - przegldarka dla linuksowej konsoli z framebufferem
- fbgs - skrypt do ogldania plikw PS/PDF przy uyciu fbi
- ida - oparta na Motifie aplikacja do ogldania obrazkw
- exiftran - dziaajce z linii polece narzdzie do wykonywania
  bezstratnych przeksztace obrazkw JPEG
- thumbnail.cgi - may i szybki program CGI do wycigania miniaturek
  EXIF z obrazkw JPEG i wysyania ich do przegldarki WWW

%package -n fbi
Summary:	Linux FrameBuffer Imageviewer
Summary(pl):	Przegldarka obrazkw dla linuksowego framebuffera
Group:		Applications/Graphics
Requires:	mktemp >= 1.3

%description -n fbi
This is a image viewer for linux framebuffer devices. It supports
PhotoCD, JPEG and PPM directly. GIF, TIFF and PNG are handled with the
netpbm tools, for anything else convert from the ImageMagick package
is used as external converter.

This package contains also additional utilities:
- fbgs - wrapper script for viewing PS/PDF files using fbi
- exiftran - command-line tool to do lossless transformations of JPEG
  images

%description -n fbi -l pl
To jest przegldarka obrazkw korzystajca z framebuffera. Obsuguje
bezporednio PhotoCD, JPEG i PPM; GIF, TIFF i PNG poprzez narzdzia z
pakietu netpbm-progs; inne obrazki poprzez program convert z pakietu
ImageMagick.

Ten pakiet zawiera take dodatkowe narzdzia:
- fbgs - skrypt do ogldania plikw PS/PDF przy uyciu fbi
- exiftran - dziaajce z linii polece narzdzie do wykonywania
  bezstratnych przeksztace obrazkw JPEG

%package -n ida
Summary:	Small and fast image viewer, Motif-based
Summary(pl):	Maa, szybka przegldarka obrazkw oparta na Motifie
Group:		X11/Applications/Graphics

%description -n ida
Ida is a small and fast image viewer, Motif-based. For people who
don't want the KDE/GNOME overhead. Some basic editing functions are
available too.

%description -n ida -l pl
Ida to maa i szybka przegldarka obrazkw oparta na Motifie.
Przeznaczona jest dla ludzi, ktrzy nie chc narzutu KDE/GNOME.
Dostpne jest te troch podstawowych funkcji edycyjnych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CFLAGS="%{rpmcflags}" \
%{__make} \
	CC="%{__cc}" \
	verbose=yes \
	%{!?with_pcd:HAVE_LIBPCD=no} \
	%{!?with_gif:HAVE_LIBUNGIF=no} \
	%{!?with_png:HAVE_LIBPNG=no} \
	%{!?with_tiff:HAVE_LIBTIFF=no} \
	%{!?with_sane:HAVE_LIBSANE=no} \
	%{!?with_curl:HAVE_LIBCURL=no} \
	%{!?with_lirc:HAVE_LIBLIRC=no} \
	%{!?with_motif:HAVE_MOTIF=no}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	INSTALL_BINARY=install \
	%{!?with_pcd:HAVE_LIBPCD=no} \
	%{!?with_gif:HAVE_LIBUNGIF=no} \
	%{!?with_png:HAVE_LIBPNG=no} \
	%{!?with_tiff:HAVE_LIBTIFF=no} \
	%{!?with_sane:HAVE_LIBSANE=no} \
	%{!?with_curl:HAVE_LIBCURL=no} \
	%{!?with_lirc:HAVE_LIBLIRC=no} \
	%{!?with_motif:HAVE_MOTIF=no}

%if %{with motif}
install -D desktop/ida.desktop $RPM_BUILD_ROOT%{_desktopdir}/ida.desktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n fbi
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/exiftran
%attr(755,root,root) %{_bindir}/fbgs
%attr(755,root,root) %{_bindir}/fbi
%{_mandir}/man1/exiftran.1*
%{_mandir}/man1/fbgs.1*
%{_mandir}/man1/fbi.1*

%if %{with motif}
%files -n ida
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_bindir}/ida
%{_mandir}/man1/ida.1*
%{_appdefsdir}/Ida
%{_desktopdir}/ida.desktop
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fbida.spec,v $
Revision 1.3.2.3  2007/03/18 21:23:58  glen
- rel 2 (curl)

Revision 1.3.2.2  2006/08/27 19:42:44  glen
- merge from HEAD: updated to 2.06, added CVE note to changelog rev. 1.6

Revision 1.3.2.1  2006/07/25 04:57:27  glen
- merge 2.04 from HEAD, adjust for AC gcc

Revision 1.8  2006/06/26 12:09:12  qboosh
- updated to 2.04, removed obsolete fbgs patch

Revision 1.7  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.6  2006/04/24 06:42:15  adamg
- sec todo done (-fbgs.patch)
  [fixes CVE-2006-1965]

Revision 1.5  2006/04/23 23:39:44  glen
- add security todo

Revision 1.4  2005/03/21 20:35:08  qboosh
- updated to 2.03

Revision 1.3  2005/03/21 08:50:28  havner
- rel up for libexif

Revision 1.2  2004/11/27 09:45:40  darekr
- updated to 2.02

Revision 1.1  2004/10/25 20:43:40  qboosh
- new, partially based on fbi.spec
